[metadata]
name = pycursorsio
version = attr: pycursorsio.__version__
url = https://forge.touhey.org/misc/pycursorsio.git/
author = Thomas Touhey
author_email = thomas@touhey.fr
description = cursors.io client
long_description = file: README.rst
keywords = cursors.io, m28, m28n
license = MIT
classifiers =
	Development Status :: 2 - Pre-Alpha
	Framework :: AsyncIO
	Natural Language :: English
	License :: OSI Approved :: MIT License
	Operating System :: OS Independent
	Programming Language :: Python :: 3
	Topic :: Games/Entertainment :: Multi-User Dungeons (MUD)

[options]
zip_safe = False
include_package_data = True
packages = pycursorsio
install_requires =
  pygame
  websockets
  aiostream
  aiohttp
  click

[options.package_data]
* = *.txt, *.rst

[wheel]
universal = True

[flake8]
application-import-names = pycursorsio
exclude = .git, __pycache__, build, dist, docs/conf.py, test.py, test
ignore =
  ANN002  # No type annotations for *args
  ANN003  # No type annotations for **kwargs
  ANN101  # No type annotations for self in method
  ANN102  # No type annotations for cls in classmethod
  ANN204  # No return type for special method
  ANN401  # We allow typing.Any in certain annoying cases
  D105    # No need for docstrings in magic __methods__
  D107    # No need for docstrings in __init__
  S410    # We use lxml for parsing HTML, so we're fine.
  S413    # We use pycryptodome, not pycrypto
  W503    # Line breaks are before binary operators, not after
rst-roles =
  py:class
  py:attr
  py:data
  py:meth
rst-directives =
  py:data

[mypy]
warn_unused_ignores = True
ignore_missing_imports = True
